Iir::CascadeStages< MaxStages, StateType > Class Template Reference

`#include <Cascade.h>`

## Public Member Functions

void | reset ()
void | setup (const double(&sosCoefficients)[MaxStages][6])
template<typename Sample >
Sample | filter (const Sample in)
const Cascade::Storage | getCascadeStorage ()

## Detailed Description

### template<int MaxStages, class StateType>
class Iir::CascadeStages< MaxStages, StateType >

Storage for Cascade: This holds a chain of 2nd order filters with its coefficients.

## Member Function Documentation

## filter()

template<int MaxStages, class StateType >
template<typename Sample >

Sample Iir::CascadeStages< MaxStages, StateType >::filter | ( | const Sample | in | ) |

inline

Filters one sample through the whole chain of biquads and return the result

Parameters

  in | Sample to be filtered

Returns
  filtered sample

## getCascadeStorage()

template<int MaxStages, class StateType >

const Cascade::Storage Iir::CascadeStages< MaxStages, StateType >::getCascadeStorage | ( |  | ) |

inline

Returns the coefficients of the entire Biquad chain

## reset()

template<int MaxStages, class StateType >

void Iir::CascadeStages< MaxStages, StateType >::reset | ( |  | ) |

inline

Resets all biquads (i.e. the delay lines but not the coefficients)

## setup()

template<int MaxStages, class StateType >

void Iir::CascadeStages< MaxStages, StateType >::setup | ( | const double(&) | sosCoefficients[MaxStages][6] | ) |

inline

Sets the coefficients of the whole chain of biquads.

Parameters

  sosCoefficients | 2D array in Python style sos ordering: 0-2: FIR, 3-5: IIR coeff.

The documentation for this class was generated from the following file:

- iir/Cascade.h